Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.sasn1
Class Asn1Object

    java.lang.Object
      org.bouncycastle.sasn1.Asn1Object

Direct Known Subclasses:
  Asn1Null, Asn1TaggedObject, BerOctetString, BerSequence, BerSet, DerObject

Deprecated. use corresponsding classes in org.bouncycastle.asn1.

    public abstract class Asn1Object

extends java.lang.Object

Field Summary
`protected int` | `_baseTag` Deprecated.
`protected java.io.InputStream` | `_contentStream` Deprecated.
`protected int` | `_tagNumber` Deprecated.

Constructor Summary
`protected` | `Asn1Object(int baseTag, int tagNumber, java.io.InputStream contentStream)` Deprecated.

Method Summary
`java.io.InputStream` | `getRawContentStream()` Deprecated. Return an input stream representing the content bytes of the object.
`int` | `getTagNumber()` Deprecated. Return the tag number for this object.
`boolean` | `isConstructed()` Deprecated. Return true if this object is a constructed one.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _baseTag

    protected int _baseTag

  Deprecated.

### _tagNumber

    protected int _tagNumber

  Deprecated.

### _contentStream

    protected java.io.InputStream _contentStream

  Deprecated.

Constructor Detail

### Asn1Object

    protected Asn1Object(int baseTag,
                         int tagNumber,
                         java.io.InputStream contentStream)

  Deprecated.

Method Detail

### isConstructed

    public boolean isConstructed()

  Deprecated.
  Return true if this object is a constructed one.

  Returns:
    true if this object is constructed.

### getTagNumber

    public int getTagNumber()

  Deprecated.
  Return the tag number for this object.

  Returns:
    the tag number.

### getRawContentStream

    public java.io.InputStream getRawContentStream()

  Deprecated.
  Return an input stream representing the content bytes of the object.

  Returns:
    content stream.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD